{ config, lib, pkgs, ... }:

{
  config = lib.mkIf config.services.ntp.enable {
    environment.etc."syndicate/services/ntpd.pr".text =
      let serverList = map (s: " -p ${s}") config.networking.timeServers;
      in ''
        <require-service <daemon ntpd>>
        <depends-on <daemon ntpd> <default-route ipv4>>
        <daemon ntpd "${pkgs.busybox}/bin/busybox ntpd -d -n ${
          toString serverList
        }">
      '';
  };
}
