{ config, lib, pkgs, ... }:

{
  environment.etc."syndicate/services/userSettings.pr".text = ''
    let ?settingsDir = "/etc/syndicate/user-settings"

    let ?settings = <* $config [
      <rewrite ?item <user-setting $item>>
    ]>

    <require-service <config-watcher $settingsDir { config: $settings }>>

    <require-service <daemon user-settings-daemon>>
    <daemon user-settings-daemon {
      argv: "${pkgs.python3Packages.synit-daemons}/bin/user-settings-daemon"
      protocol: application/syndicate
    }>

    ? <service-object <daemon user-settings-daemon> ?cap> [
      $cap {
        config: $config
        settingsDir: $settingsDir
      }
    ]
  '';
}
