{ lib, buildNimPackage, fetchFromGitea, fontconfig, pkg-config, syndicate }:

buildNimPackage rec {
  pname = "fontconfig_actor";
  version = "20230506";
  nimBinOnly = true;

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-TH6tu6l7gfb7GmYCyZInTUmKsUBRJCpbkL1Ec5El0Iw=";
  };

  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ fontconfig syndicate ];

  meta = src.meta // {
    description = "Syndicate actor for asserting Fontconfig information";
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
