{ lib, buildNimPackage, fetchFromGitea, boost, nix, pkg-config, syndicate }:

buildNimPackage rec {
  pname = "nix_actor";
  version = "20230530";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-HOdpwZ9jEvYEHx3MKYkaG/DguH94p4E1bVa30mYy6JQ=";
  };

  propagatedNativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ boost nix syndicate ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
