# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchgit, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.31.0";
  src = fetchgit {
    url = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs.git";
    rev = "${pname}-v${version}";
    sha256 = "sha256-g6EI6V3W5myJRw0+MbjstU5k12A605XNH7zRTTZs+/4=";
  };
  cargoHash = "sha256-lBEqAoCdq3XkmhqPUfL7V3UI7BAJo6p4iC/ZVIwIhXA=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
